TCacheStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TCacheStat._Fields

- java.lang.Object
- - java.lang.Enum<TCacheStat._Fields>
  - - com.sleepycat.thrift.TCacheStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TCacheStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TCacheStat

      public static enum TCacheStat._Fields
      extends java.lang.Enum<TCacheStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOC`
    `ALLOC_BUCKETS`
    `ALLOC_MAX_BUCKETS`
    `ALLOC_MAX_PAGES`
    `ALLOC_PAGES`
    `BYTES`
    `CACHE_HIT`
    `CACHE_MISS`
    `GBYTES`
    `HASH_BUCKETS`
    `HASH_EXAMINED`
    `HASH_LONGEST`
    `HASH_MAX_NOWAIT`
    `HASH_MAX_WAIT`
    `HASH_MUTEXES`
    `HASH_NOWAIT`
    `HASH_SEARCHES`
    `HASH_WAIT`
    `IO_WAIT`
    `MAX_NUM_CACHE`
    `MAX_OPENFD`
    `MAX_WRITE`
    `MAX_WRITE_SLEEP`
    `MMAP_SIZE`
    `MULTIVERSION_FREED`
    `MULTIVERSION_FROZEN`
    `MULTIVERSION_REUSED`
    `MULTIVERSION_THAWED`
    `NUM_CACHE`
    `PAGE_CLEAN`
    `PAGE_CREATE`
    `PAGE_DIRTY`
    `PAGE_IN`
    `PAGE_MAPPED`
    `PAGE_OUT`
    `PAGE_SIZE`
    `PAGE_TRICKLE`
    `PAGES`
    `REG_SIZE`
    `REGION_NOWAIT`
    `REGION_WAIT`
    `REGMAX`
    `RO_EVICT`
    `RW_EVICT`
    `SYNC_INTERRUPTED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TCacheStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TCacheStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TCacheStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TCacheStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TCacheStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOC

          public static final TCacheStat._Fields ALLOC

    - #### ALLOC_BUCKETS

          public static final TCacheStat._Fields ALLOC_BUCKETS

    - #### ALLOC_MAX_BUCKETS

          public static final TCacheStat._Fields ALLOC_MAX_BUCKETS

    - #### ALLOC_MAX_PAGES

          public static final TCacheStat._Fields ALLOC_MAX_PAGES

    - #### ALLOC_PAGES

          public static final TCacheStat._Fields ALLOC_PAGES

    - #### BYTES

          public static final TCacheStat._Fields BYTES

    - #### CACHE_HIT

          public static final TCacheStat._Fields CACHE_HIT

    - #### CACHE_MISS

          public static final TCacheStat._Fields CACHE_MISS

    - #### GBYTES

          public static final TCacheStat._Fields GBYTES

    - #### HASH_BUCKETS

          public static final TCacheStat._Fields HASH_BUCKETS

    - #### HASH_EXAMINED

          public static final TCacheStat._Fields HASH_EXAMINED

    - #### HASH_LONGEST

          public static final TCacheStat._Fields HASH_LONGEST

    - #### HASH_MAX_NOWAIT

          public static final TCacheStat._Fields HASH_MAX_NOWAIT

    - #### HASH_MAX_WAIT

          public static final TCacheStat._Fields HASH_MAX_WAIT

    - #### HASH_MUTEXES

          public static final TCacheStat._Fields HASH_MUTEXES

    - #### HASH_NOWAIT

          public static final TCacheStat._Fields HASH_NOWAIT

    - #### HASH_SEARCHES

          public static final TCacheStat._Fields HASH_SEARCHES

    - #### HASH_WAIT

          public static final TCacheStat._Fields HASH_WAIT

    - #### IO_WAIT

          public static final TCacheStat._Fields IO_WAIT

    - #### MAX_NUM_CACHE

          public static final TCacheStat._Fields MAX_NUM_CACHE

    - #### MAX_OPENFD

          public static final TCacheStat._Fields MAX_OPENFD

    - #### MAX_WRITE

          public static final TCacheStat._Fields MAX_WRITE

    - #### MAX_WRITE_SLEEP

          public static final TCacheStat._Fields MAX_WRITE_SLEEP

    - #### MMAP_SIZE

          public static final TCacheStat._Fields MMAP_SIZE

    - #### MULTIVERSION_FREED

          public static final TCacheStat._Fields MULTIVERSION_FREED

    - #### MULTIVERSION_FROZEN

          public static final TCacheStat._Fields MULTIVERSION_FROZEN

    - #### MULTIVERSION_REUSED

          public static final TCacheStat._Fields MULTIVERSION_REUSED

    - #### MULTIVERSION_THAWED

          public static final TCacheStat._Fields MULTIVERSION_THAWED

    - #### NUM_CACHE

          public static final TCacheStat._Fields NUM_CACHE

    - #### PAGES

          public static final TCacheStat._Fields PAGES

    - #### PAGE_SIZE

          public static final TCacheStat._Fields PAGE_SIZE

    - #### PAGE_CLEAN

          public static final TCacheStat._Fields PAGE_CLEAN

    - #### PAGE_CREATE

          public static final TCacheStat._Fields PAGE_CREATE

    - #### PAGE_DIRTY

          public static final TCacheStat._Fields PAGE_DIRTY

    - #### PAGE_MAPPED

          public static final TCacheStat._Fields PAGE_MAPPED

    - #### PAGE_IN

          public static final TCacheStat._Fields PAGE_IN

    - #### PAGE_TRICKLE

          public static final TCacheStat._Fields PAGE_TRICKLE

    - #### PAGE_OUT

          public static final TCacheStat._Fields PAGE_OUT

    - #### REGION_NOWAIT

          public static final TCacheStat._Fields REGION_NOWAIT

    - #### REGION_WAIT

          public static final TCacheStat._Fields REGION_WAIT

    - #### REGMAX

          public static final TCacheStat._Fields REGMAX

    - #### REG_SIZE

          public static final TCacheStat._Fields REG_SIZE

    - #### RO_EVICT

          public static final TCacheStat._Fields RO_EVICT

    - #### RW_EVICT

          public static final TCacheStat._Fields RW_EVICT

    - #### SYNC_INTERRUPTED

          public static final TCacheStat._Fields SYNC_INTERRUPTED

  - ### Method Detail

    - #### values

          public static TCacheStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TCacheStat._Fields c : TCacheStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TCacheStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TCacheStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TCacheStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TCacheStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.